body {
    overflow-x: hidden;
	}
#bg-container {
    background-size: 100vw 100vh;
    overflow-x: hidden;
    min-height:100vh;
	}
  .navbar{
    padding:0px;
    z-index:100;
  }
#myNavbar > ul {
    margin-left: 3%;
	}
.container {
    min-height: 50vh;
	}
.dropdown-menu > li > a {
    color: black;
	}

h1 {
    color: cornflowerblue;
    margin-bottom: 5%;
	}
#questions {
    font-size: 5vh;
    margin-bottom: 3%;
	}
#score,
#qnumber {
    font-size: 5vh;
	}
.ui-widget-overlay {
    background-color: #000000;
    opacity: 0.5;

	}
.ui-dialog {
    width: 30vw;
	}
.ui-dialog-titlebar-close {
    display: none
	}
  #accuracy{
    margin-bottom:10%;
  }
  #choices button{
    width:100%;
    margin:2% 0;
    cursor:pointer;
  }

  #choices button img{
    width:100%;
  }
  #reset, #next{
  margin-bottom:10px;
  }
  .nextpagebutton{
    font-size:18px;
    fon-weight:bold;
    position:absolute;
    top:0;
    bottom:0;

    height:65px;
    padding:12px;
    margin:auto;
    width:110px;
    right:0;
    border-top-left-radius: 50%;
    border-bottom-left-radius: 50%;
    border:3px solid grey;
    border-right:0px;
  }
  .disabled{
    cursor:not-allowed;
  }
  footer{
  	background-repeat: repeat-x;
    height:50px;
  }
    /*********************custom style***************/
.menushape, .menudesign{
width:19%;
cursor:pointer;
}
.activity{
  cursor:pointer;
}
#intro {
    margin-top: 2%;
	}
  #shapes{
      margin-top:3%;
  }
  #designs{
      margin-top:3%;
  }
#designs img{
    width:18%;
    min-width:40px;
    border:3px solid grey;
    margin:0.5%;
    min-height:50px;
    height:7vw;
}
.slideDesign div, .slideDesign{
  overflow: hidden;
}
.slideDesign .row img{
 width:80%;
 margin-bottom: 3%;
 margin-top: 5%;
 border:3px solid white;
 border-radius:25%;
 background:darkgray;
}
.slideDesign .final, #squarepage .final{
    display: none;
    position:absolute;
    left:0;
    right:0;
    top:0;
    bottom:0;
    margin:auto;
}
.bookdesign{
  overflow:hidden;
  min-height:80vh;
}
.bookdesign .example img{
position: absolute;
left:0;
right:0;
top:0;
bottom:0;
margin:auto;
width:53%;
}

#ovalfinal{
  width:100%;
  margin: 10% 0%;
  display:block;
  z-index: 100;
}
.final{
  border: 5px solid white;
  border-radius: 50%;
  box-shadow: 2px 5px 32px 14px;
}
#ellipsefinal{
border:none;
box-shadow: none;
border-radius:0px;
}
.fadeInRotate .row img{
    width : 35%;
  }
.puffTransfer img{
  position: absolute;
  margin:auto;
  left:0;
  right:0;
  top:3%;
  bottom:0;
  border:3px solid white;
}
.blindFall img{
  position: absolute;
  margin:auto;
  left:0;
  right:0;
  top:3%;
  bottom:0;
}
/*.triangle-up{
  padding:0px;
  min-height:0px;
  width: 0;
  height: 0;
  position: absolute;
  right: 0;
  left:0;
  top: 0;
  bottom:0;
  margin:auto;
  border-left: 30vw solid transparent;
  border-right: 30vw solid transparent;
  border-bottom: 30vw solid #ffaa57;
}*/
#trianglepage img{
position: absolute;
left:0;
  right: 0vw;
  top: 6vw;
  bottom:0;
  margin:auto;
  width:100%;
}
.verticalcenter{
position:absolute;
top:10%;
left:0;
bottom:0;
right:0;
margin:auto;
height:80vh;
}
#furrypage img{
margin-bottom: 1%;
border:3px solid white;
border-radius:25%;
margin-top:3%;
width:80%;
}

#diamondpage .row img{
width:100%;
margin-bottom: 1%;
border:3px solid white;
border-radius:25%;
margin-top:3%;
}
.slideFade img{
  position:absolute;
  margin:auto;
  left:0;
  top:0;
  right:0;
  bottom:0;
  border:3px solid white;
  width:90%;
}
#sharpfinal{
  border-radius:25%;
  width: 70%;
}

.blindUncover img{
position:absolute;
  margin:auto;
  left:0;
  top:3%;
  right:0;
  bottom:0;
  border:3px solid white;
  width:95%;
}
.explodeShow .row img{
  width:100%;
  border:3px solid white;
  border-radius: 25%;
  margin-bottom: 1%;
  margin-top:3%;

}
.zoomin{
  transform:scale(.6);
}
.zoom{
  transform:scale(1);
  transition-duration: 2s;

}
#linepage img{
border:3px solid white;
}
@media screen and (min-width: 1920px){
.slideDesign div img{
  height:15vw;
  }
  .dropright .dropdown-menu{
	position:relative;
	left:98%;
	top:0%;
	}
  .puffTransfer img{
  	width:50%;
  }
  .verticalcenter{
		top:0;
	}
	#trianglepage img{
		width:50%;
	}
	
	.fadeInRotate .row img{
    width : 60%;
  }
  #diamondpage .row img{
	width:50%;
	}
	.slideFade img{
	width:40%;
	}
	#sharpfinal{
	width:50%;
	}
	#curvepage img{
	width:55%;
	}
	.explodeShow .row img{
   	 width:84%;
  	}
}

@media screen and (min-width: 1200px) and (max-width:1919px) {/*lg -3*/

  	.slideDesign div img{
  		height:15vw;
  	}
   #circlefinal{
   	 	width:30vw;
  	} 
    .dropright .dropdown-menu{
	 	position:relative;
	 	left:98%;
	 	top:0%;
	}
	.verticalcenter{
		top:0;
	}
	#trianglepage img{
		width:50%;
	}
	
	#diamondpage .row img{
	width:50%;
	}
	.blindUncover img{
		width:50%;
	}
	.slideFade img{
	width:40%;
	}
	#sharpfinal{
	width:50%;
	}
	#curvepage img{
	width:55%;
	}
	.explodeShow .row img{
   	 width:84%;
  	}
}

@media screen and (min-width: 980px) and (max-width: 1199px) {/*lg -3*/

  .slideDesign div img{
  height:22vw;
  }
   #circlefinal{
    width:70vw;
  }
 
.dropright .dropdown-menu{
position:relative;
left:98%;
top:0%;
}
.puffTransfer img{
  	width:35%;
  }
.fadeInRotate .row img{
    width : 60%;
  }
  #diamondpage .row img{
	width:50%;
	}
	.blindUncover img{
		width:50%;
	}
	
	.slideFade img{
	width:60%;
	}
	#sharpfinal{
	width:50%;
	}
	#curvepage img{
	width:75%;
	}
	.explodeShow .row img{
   	 width:84%;
  	}
}
@media screen and (min-width: 768px) and (max-width: 979px) { /*md -4*/

  .slideDesign div img{
  height:180px;
  }
   #circlefinal{
    width:70vw;
  }
  #trianglepage img{
  width:100vw;
  }
  .blindFall img{
 	 width:90%;
 	 }
  .puffTransfer img{
  	width:75%;
  }
.fadeInRotate .row img{
    width : 90%;
  }
  .slideFade img{
	width:60%;
	}
}
@media screen and (min-width: 576px) and (max-width: 767px){ /*md-4*/
 #designs img{
  height:13vw;
  }
.slideDesign div img{
  height:23vw;
  }
  #circlefinal{
    width:90vw;
  }
  .blindFall img{
 	 width:90%;
 	 }
  .fadeInRotate .row img{
    width : 90%;
  }
  .puffTransfer img{
      width : 90%;
  }
}
@media screen and (min-width: 361px)  and  (max-width: 575px) { /*sm -6*/
#designs img{
  height:26vw;
  }
.slideDesign div img{
    height:23vw;
  }
  #circlefinal{
    width:80vw;
  }
  .fadeInRotate .row img{
    width : 70%;
  }
  .blindFall img{
 	 width:90%;
 	 }
    .puffTransfer img{
      width : 80%;
  }
  #choices button{
  	width:50%;
  	min-width:265px;
  }

  .puffTransfer img{
  	width:80%;
  }
   #squarepage .final{
  width:100%;
  }
}
@media  screen and (max-width: 360px) { //xs -12
  #designs img{
  height:15vw;
  }
  .slideDesign div img{
    height:75px;
  }
  #circlefinal{
    width:90vw;
  }
  .fadeInRotate .row img{
    width : 95%;
  }
  #squarepage .final{
  width:100%;
  }
  .blindFall img{
 	 width:90%;
 	 }
  .puffTransfer img{
      width : 95%;
  }
  #choices button{
  width:265px;
  }

  #trianglepage img{
  width:100vw;
  }
  .puffTransfer img{
  	width:95%;
  }

}
.dropdown-item:hover{
background:gainsboro;
}
